%define dir 7_1

Name: tkcvs
Version: 7.1.0
Release: alt1
Summary(ru_RU.KOI8-R):           CVS
License: GPL
Group: Development/Other
Source: http://www.twobarleycorns.net/%name-%version.tar.bz2
Source1: icons-%name.tar.bz2
Patch: tkcvs-7.0-paths.patch.bz2
Url: http://www.twobarleycorns.net/
Requires: tk
Requires: cvs
BuildArch: noarch
Autoreq: yes, noshell

%description
tkCVS is a Tk based graphical interface to the CVS configuration
management system.  It includes facilities for providing "user
friendly" names to modules and directories within the repository, and
provides a facility to interactively browse the repository looking for
modules and directories.

%description -l ru_RU.KOI8-R
tkCVS -     CVS.      
             
CVS .

%prep
%setup -q -n %name-%dir
%patch -p1 -b .paths

%install
install -d $RPM_BUILD_ROOT%prefix/{bin,share/tkcvs/bitmaps,share/man/man1}
install tkcvs/tkcvs.blank    $RPM_BUILD_ROOT%prefix/bin/tkcvs
install tkcvs/*.tcl          $RPM_BUILD_ROOT%prefix/share/tkcvs
install tkcvs/tclIndex       $RPM_BUILD_ROOT%prefix/share/tkcvs
install bitmaps/*            $RPM_BUILD_ROOT%prefix/share/tkcvs/bitmaps
install tkcvs/*.1            $RPM_BUILD_ROOT%prefix/share/man/man1
rm -f $RPM_BUILD_ROOT%prefix/share/tkcvs/tkcvs_def.tcl
mkdir -p $RPM_BUILD_ROOT/etc/cvs
install tkcvs/tkcvs_def.tcl $RPM_BUILD_ROOT/etc/cvs/


# Menu support
mkdir -p $RPM_BUILD_ROOT/usr/lib/menu

cat > $RPM_BUILD_ROOT/usr/lib/menu/%name << EOF
?package(%name): needs=x11 icon="tkcvs.xpm" section="Applications/Development/Tools"  title=TkCVS longtitle="Graphical HMI for CVS" command=tkcvs
EOF

#mdk icons
install -d $RPM_BUILD_ROOT%_iconsdir
tar xIvf %SOURCE1 -C $RPM_BUILD_ROOT%_iconsdir

%post
%update_menus

%postun
%clean_menus

%files
%defattr(644,root,root,755)
%doc README.tkcvs tkcvs/vendor.readme README.windows

%attr(755,root,root) %prefix/bin/*

%_datadir/tkcvs/*.tcl
%_datadir/tkcvs/tclIndex
%_libdir/menu/%name
%_datadir/tkcvs/bitmaps/*
%_iconsdir/%name.xpm
%_iconsdir/large/%name.xpm
%_iconsdir/mini/%name.xpm
%_mandir/man*/*

%config(noreplace) /etc/cvs/tkcvs_def.tcl

%changelog
* Mon Nov 11 2002 Sergey Kalinin <banzaj@altlinux.ru> 7.1.0-alt1

- New graphical tool to help with merging directories and seeing an overview                          
  of the branches.                                                                                    

- New, completely re-written, branching diagram.  Much more sensible and pleasing                     
to the eye.  Contributed by Mike Jagdis                                                             

- You can invoke the log browser from the command line:                                               
tkcvs [-dir directory] [-root cvsroot] [-win workdir|module] [-log file]                            
Saves a lot of time if you're working with a remote repository and you                              
only want to browse one file.  Contributed by John Lash.                                            

- Option to use an external editor for commit messages so the rcsinfo template                        
feature can be used.  Terminal-based editors only for now, unless you don't mind                    
a superfluous shell window popping up in addition to your GUI-based editor.                         
Contributed by Mike Jagdis.                                                                         
		                                                                                                      
- A picklist keeps a temporary history of directories visited.  Favorite places                       
can be bookmarked.                                                                                  
                                                                                                
- Capability to browse RCS files, in case you find yourself in an                                     
rcs-controlled directory.  You can't do checkins and checkouts, but you can                         
see which files are under RCS control, which ones differ from the checked-in                        
version, and who has them locked.                                                                   
			                                                                                                      
- A heavily patched TkDiff that works in AquaTK, in case you're a MacOS X fan.                        
TkCVS does pretty well in AquaTK as-is, with a few tweaks to tkcvs_def.tcl.                         
			                                                                                                        
- More intuitive module-operation dialogs contributed by Mike Jagdis.                                 
		                                                                                                        
- Re-arranged buttons.  There's a somewhat overwhelming array, but now almost                         
everything is there without resorting to the menus.  I've tried to organize                         
them helpfully.  In addition, the ones that do CVS functions are disabled                           
when in a non-CVS directory.                                                                        
				                                                                                                      
- The ".." directory has been removed from the browser, and we now have a                             
"go up" button instead.  Saves space in the list and keeps people from doing                        
unfortunate things to ".."                                                                          
				                                                                                                          
- Namespace problems eliminated in log browser.  Now you can have as many                             
open as you like.  Contributed by Mike Jagdis                                                       
				                                                                                                            
- Improved viewer for command output.  It has multi-command capability.                               
That is used to advantage by the import routine, which used to open "waaaay                         
too many windows."  Contributed by Mike Jagdis                                                      
					                                                                                                        
- Smoother (faster?) scrolling in the directory and module browsers, due to                           
eliminating the windows-within-a-canvas method of drawing icons.                                    
Contributed by John Cerney.                                                                         
					                                                                                                            
- Patch for filtering and color coding "cvs update" output, contributed by                            
Laurent Duperval.                                                                                   
						                                                                                                      
- Since there are more ways you can start tkcvs, the exiting had to be cleaned                        
up so you don't accidentally exit, or worse, leave a windowless wish running.                       
Contributed by Mike Jagdis.                                                                         
						                                                                                                          
- Enhanced dialog for importing a module.  Contributed by Mike Jagdis                                 
- Always sort by filename so that even if the files are sorted some other way,                        
they are sub-sorted in alphabetical order.                                                          
						                                                                                                            
- If the edit file button is clicked with nothing selected, a dialog box pops                         
up to allow input of a (new?) file name rather than erroring.  (Mike Jagdis)                        
							                                                                                                      
- There was a call to "cat" in exec.tcl.  It's gone now, so Windows users don't                       
have to have cat.exe anymore.                                                                       
							                                                                                                        
- Repaired a bug in which if you did an import and the "Group Aliases in a                            
Folder" option was set, the aliases would be duplicated in the browser.                             
							                                                                                                          
- These days X is usually set up to map mouse wheel motion to button 4/5                              
events.  Patch adds bindings for buttons for and 5 so that the mouse wheel                          
can be used to scroll under X.  (Mike Jagdis)                                                       
								